body {
	min-height: 0 !important;
}

body.test-site .top-navbar {
	background-color: #963646;
}

.content-page {
	padding-bottom: 15px;
}

.hidden {
	display: none;
}

/* ==== display type ==== */
body.display-publisher .left-side-menu {
	display: none;
}

body.display-publisher .content-page {
	margin-left: 0 !important;
	padding-left: 0;
	padding-right: 0;
	padding-bottom: 0;
}

body.display-publisher .section-page-title {
	display: none;
}

body.display-publisher .section-page-content {
	padding-left: 0;
	padding-right: 0;
	margin-left: 0;
	margin-right: 0;
}
body.display-publisher .section-page-content > .col-12 {
	padding-left: 0;
	padding-right: 0;
}

body.display-publisher .section-page-content .section-page-content-body {
	padding:10px;
}

body.display-publisher .content-page .content .container-fluid {
	padding-left: 0;
	padding-right: 0;
}

body.display-publisher .section-menu-toggle {
	display: none;
}

body.display-publisher .section-topbar-notifications {
	display: none;
}

body.display-publisher .section-topbar-pending-changes {
	display: none;
}

.navbar-brand .top-label {
	font-size: 14px;
	float: left;
	line-height: 22px;
	padding: 12px 12px 12px 0;
}
.navbar-brand .top-logo {
	float: left;
	margin-top: 5px;
	height: 60px;
}

/* ==== icons ==== */
.gender-icon {
	font-size: 20px;
}

.action-icon.edit-btn:hover {
	color: #6658DD;
}
.action-icon.availability-btn:hover {
	color: #4A81D4;
}
.action-icon.timeoff-btn:hover {
	color: #F7B84B;
}
.action-icon.delete-btn:hover {
	color: #CD485C;
}

.search {
	position: relative;
	box-shadow: 0 0 40px rgba(51, 51, 51, .1);

}
.search input {
	/*height: 60px;*/
	text-indent: 23px;
	border: 2px solid #d6d4d4;
}
.search .mdi-magnify {
	position: absolute;
	top: 2px;
	left: 10px;
	font-size: 24px;
	color: #859099;
}

/* ==== Select2 Arrow ==== */

/* This makes the custom arrow rotate. */
.select2-container--open .select2-selection__arrow {
	transform: rotate(180deg) !important;
}
/* arrow container */
.select2-container--default .select2-selection--single .select2-selection__arrow {
	height: 35px;
	top: 50%;
	right: 0;
	width: 35px;
	margin-top: -17px;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
	transition: transform 0.3s ease-in-out;
}

/* the arrow itself */
.select2-container--default .select2-selection--single .select2-selection__arrow b {
	background-image: url(https://cdn4.iconfinder.com/data/icons/user-interface-174/32/UIF-76-512.png);
	background-color: transparent;
	background-size: contain;
	border: none !important;
	height: 20px !important;
	width: 20px !important;
	margin: auto !important;
	top: auto !important;
	left: auto !important;
}

/* == Colorized Select 2 ==== */

.select2-container li.select2-results__option.colorized {
	padding: 0;
}
.select2-container li.select2-results__option.colorized > span {
	display: block;
	padding: 6px;
}

.select2-container .select2-selection--single .select2-selection__rendered.colorized {
	padding-left: 0;
	padding-right: 30px;
}
.select2-container .select2-selection__rendered.colorized > span {
	display: block;
	padding-left: 8px;
}

.select2-container .select2-selection__rendered.colorized > span.op-primary,
.select2-container li.select2-results__option.colorized > span.op-primary {
	background-color: #E3E1F9;
	color: #7A58DF;
}
.select2-container li.select2-results__option.colorized[aria-selected="true"] > span.op-primary,
.select2-container li.select2-results__option.colorized > span.op-primary:hover {
	background-color: #6658DD;
	color: #FFFFFF;
}

.select2-container .select2-selection__rendered.colorized > span.op-success,
.select2-container li.select2-results__option.colorized > span.op-success {
	background-color: #D6F3ED;
	color: #57BCA7;
}
.select2-container li.select2-results__option.colorized[aria-selected="true"] > span.op-success,
.select2-container li.select2-results__option.colorized > span.op-success:hover {
	background-color: #1ABC9C;
	color: #FFFFFF;
}

.select2-container .select2-selection__rendered.colorized > span.op-info,
.select2-container li.select2-results__option.colorized > span.op-info {
	background-color: #DFF5FA;
	color: #76C0E2;
}
.select2-container li.select2-results__option.colorized[aria-selected="true"] > span.op-info,
.select2-container li.select2-results__option.colorized > span.op-info:hover {
	background-color: #4FC6E1;
	color: #FFFFFF;
}

.select2-container .select2-selection__rendered.colorized > span.op-warning,
.select2-container li.select2-results__option.colorized > span.op-warning {
	background-color: #FEF2DF;
	color: #F7B86C;
}
.select2-container li.select2-results__option.colorized[aria-selected="true"] > span.op-warning,
.select2-container li.select2-results__option.colorized > span.op-warning:hover {
	background-color: #F7B84B;
	color: #343A40;
}

.select2-container .select2-selection__rendered.colorized > span.op-danger,
.select2-container li.select2-results__option.colorized > span.op-danger {
	background-color: #FCE0E4;
	color: #F25592;
}
.select2-container li.select2-results__option.colorized[aria-selected="true"] > span.op-danger,
.select2-container li.select2-results__option.colorized > span.op-danger:hover {
	background-color: #F1556C;
	color: #FFFFFF;
}

.select2-container .select2-selection__rendered.colorized > span.op-blue,
.select2-container li.select2-results__option.colorized > span.op-blue {
	background-color: #DEE8F7;
	color: #4A8EDE;
}
.select2-container li.select2-results__option.colorized[aria-selected="true"] > span.op-blue,
.select2-container li.select2-results__option.colorized > span.op-blue:hover {
	background-color: #4A81D4;
	color: #FFFFFF;
}

.select2-container .select2-selection__rendered.colorized > span.op-pink,
.select2-container li.select2-results__option.colorized > span.op-pink {
	background-color: #FDE6EF;
	color: #F772A7;
}
.select2-container li.select2-results__option.colorized[aria-selected="true"] > span.op-pink,
.select2-container li.select2-results__option.colorized > span.op-pink:hover {
	background-color: #F672A7;
	color: #FFFFFF;
}

.select2-container .select2-selection__rendered.colorized > span.op-secondary,
.select2-container li.select2-results__option.colorized > span.op-secondary {
	background-color: #E4E6E8;
	color: #6C757D;
}
.select2-container li.select2-results__option.colorized[aria-selected="true"] > span.op-secondary,
.select2-container li.select2-results__option.colorized > span.op-secondary:hover {
	background-color: #6C757D;
	color: #FFFFFF;
}

/* == Locations colors == */
.select2-container .select2-selection__rendered.colorized > span.op-loc-col-none,
.select2-container li.select2-results__option.colorized > span.op-loc-col-none {
	background-color: #FFFFFF;
	color: #6C757D;
}
.select2-container li.select2-results__option.colorized[aria-selected="true"] > span.op-loc-col-none,
.select2-container li.select2-results__option.colorized > span.op-loc-col-none:hover,
.avatar-title.loc-col-none {
	background-color: #F1F1F1;
	color: #6C757D;
}
.select2-container .select2-selection__rendered.colorized > span.op-loc-col-blue,
.select2-container li.select2-results__option.colorized > span.op-loc-col-blue,
.select2-container li.select2-results__option.colorized[aria-selected="true"] > span.op-loc-col-blue,
.select2-container li.select2-results__option.colorized > span.op-loc-col-blue:hover,
.avatar-title.loc-col-blue {
	background-color: #0069B4;
	color: #FFFFFF;
}
.select2-container .select2-selection__rendered.colorized > span.op-loc-col-green,
.select2-container li.select2-results__option.colorized > span.op-loc-col-green,
.select2-container li.select2-results__option.colorized[aria-selected="true"] > span.op-loc-col-green,
.select2-container li.select2-results__option.colorized > span.op-loc-col-green:hover,
.avatar-title.loc-col-green {
	background-color: #009640;
	color: #FFFFFF;
}
.select2-container .select2-selection__rendered.colorized > span.op-loc-col-orange,
.select2-container li.select2-results__option.colorized > span.op-loc-col-orange,
.select2-container li.select2-results__option.colorized[aria-selected="true"] > span.op-loc-col-orange,
.select2-container li.select2-results__option.colorized > span.op-loc-col-orange:hover,
.avatar-title.loc-col-orange {
	background-color: #F07D00;
	color: #FFFFFF;
}
.select2-container .select2-selection__rendered.colorized > span.op-loc-col-pink,
.select2-container li.select2-results__option.colorized > span.op-loc-col-pink,
.select2-container li.select2-results__option.colorized[aria-selected="true"] > span.op-loc-col-pink,
.select2-container li.select2-results__option.colorized > span.op-loc-col-pink:hover,
.avatar-title.loc-col-pink {
	background-color: #CF3772;
	color: #FFFFFF;
}
.select2-container .select2-selection__rendered.colorized > span.op-loc-col-yellow,
.select2-container li.select2-results__option.colorized > span.op-loc-col-yellow,
.select2-container li.select2-results__option.colorized[aria-selected="true"] > span.op-loc-col-yellow,
.select2-container li.select2-results__option.colorized > span.op-loc-col-yellow:hover,
.avatar-title.loc-col-yellow {
	background-color: #FFDD00;
	color: #000000;
}

.pw-list-btn .btn.loc-col-none {
	background-color: #ECEFF1;
	color: #323A46;

	--ct-btn-link-color: #FFFFFF;
	--ct-btn-link-hover-color: #D1D4D6;

	border-color: #ECEFF1;

	-webkit-box-shadow: var(--ct-btn-box-shadow) rgba(157, 159, 160,.4);
	box-shadow: var(--ct-btn-box-shadow) rgba(157, 159, 160,.4);
}
.pw-list-btn .btn.loc-col-none:hover {
	background-color: #D1D4D6;
	border-color: #D1D4D6;
}
.pw-list-btn .btn.loc-col-blue {
	background-color: #0069B4;
	color: #FFFFFF;

	--ct-btn-link-color: #116FB2;
	--ct-btn-link-hover-color: #005999;

	border-color: #0069B4;

	-webkit-box-shadow: var(--ct-btn-box-shadow) rgba(0, 105, 180,.5);
	box-shadow: var(--ct-btn-box-shadow) rgba(0, 105, 180,.5);
}
.pw-list-btn .btn.loc-col-blue:hover {
	background-color: #005796;
	border-color: #005796;
}
.pw-list-btn .btn.loc-col-green {
	background-color: #009640;
	color: #FFFFFF;

	--ct-btn-link-color: #0E9346;
	--ct-btn-link-hover-color: #007A32;

	border-color: #009640;

	-webkit-box-shadow: var(--ct-btn-box-shadow) rgba(0, 150, 64,.5);
	box-shadow: var(--ct-btn-box-shadow) rgba(0, 150, 64,.5);
}
.pw-list-btn .btn.loc-col-green:hover {
	background-color: #007A32;
	border-color: #007A32;
}
.pw-list-btn .btn.loc-col-orange {
	background-color: #F07D00;
	color: #FFFFFF;

	--ct-btn-link-color: #EF8717;
	--ct-btn-link-hover-color: #D66E00;

	border-color: #F07D00;

	-webkit-box-shadow: var(--ct-btn-box-shadow) rgba(240, 125, 0,.5);
	box-shadow: var(--ct-btn-box-shadow) rgba(240, 125, 0,.5);
}
.pw-list-btn .btn.loc-col-orange:hover {
	background-color: #D66E00;
	border-color: #D66E00;
}
.pw-list-btn .btn.loc-col-pink {
	background-color: #CF3772;
	color: #FFFFFF;

	--ct-btn-link-color: #CE4C80;
	--ct-btn-link-hover-color: #B53065;

	border-color: #CF3772;

	-webkit-box-shadow: var(--ct-btn-box-shadow) rgba(207, 55, 114,.5);
	box-shadow: var(--ct-btn-box-shadow) rgba(207, 55, 114,.5);
}
.pw-list-btn .btn.loc-col-pink:hover {
	background-color: #B53065;
	border-color: #B53065;
}
.pw-list-btn .btn.loc-col-yellow {
	background-color: #FFDD00;
	color: #000000;

	--ct-btn-link-color: #FFE019;
	--ct-btn-link-hover-color: #E5C600;

	border-color: #FFDD00;

	-webkit-box-shadow: var(--ct-btn-box-shadow) rgba(255, 221, 0,.5);
	box-shadow: var(--ct-btn-box-shadow) rgba(255, 221, 0,.5);
}
.pw-list-btn .btn.loc-col-yellow:hover {
	background-color: #E5C600;
	border-color: #E5C600;
}

.select2-container li.select2-results__option > span.grouped {
	padding-left: 22px;
}

.select2.select2-container .selection .select2-selection {
	border-color: #CED4DA;
	padding-bottom: 7px;
	padding-top: 6px;
	padding-left: 6px;
	height: 39px;
}

.sel-colorpicker .select2.select2-container .selection .select2-selection {
	height: 39px;
	padding: 0;
}
.sel-colorpicker .select2.select2-container .selection .select2-selection .select2-selection__rendered.colorized > span {
	padding-bottom: 7px;
	padding-top: 6px;
	padding-left: 15px;
}

.select2.select2-container .selection .select2-selection .select2-selection__rendered:not(.colorized) > span {
	color: #6C757D;
}

.was-validated .custom-select:invalid + .select2 .select2-selection{
	border-color: #dc3545!important;
	padding-right: 4.95rem;
	background-repeat: no-repeat;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23f1556c'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23f1556c' stroke='none'/%3e%3c/svg%3e");
	background-position: center right 2.7rem;
	background-size: calc(0.75em + 0.45rem) calc(0.75em + 0.45rem);
}

.was-validated .custom-select:valid + .select2 .select2-selection{
	border-color: #1abc9c!important;
	padding-right: 4.95rem;
	background-repeat: no-repeat;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%231abc9c' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
	background-position: center right 2.7rem;
	background-size: calc(0.75em + 0.45rem) calc(0.75em + 0.45rem);
}

/* ==== addedit_schedule_shift_modal ==== */
#addedit_schedule_shift_modal .select2-container .select2-results__option[aria-disabled=true] {
	display: none;
}

#addedit_schedule_shift_modal .select2.select2-container .selection .select2-selection {
	padding: 0;
}

#addedit_schedule_shift_modal .select2-container,
#addedit_schedule_shift_modal .select2-selection,
#addedit_schedule_shift_modal .select2-selection .select2-selection__rendered,
#addedit_schedule_shift_modal .select2-selection .select2-selection__arrow {
	height: 37px;
	line-height: 35px;
}

#addedit_schedule_shift_modal .select2-container .select2-dropdown {
	line-height: 21px;
}

#downloadScheduleBtn,
#contactPublishersBtn,
#schedulePublishBtn {
	padding-top: 5px;
	padding-bottom: 3px;
}

#schedulePublishBtn {
	width: 105px;
}
#schedulePublishBtn[data-status="published"] {
	cursor: not-allowed;
}

/* ==== week Group ==== */
.sel-group {
	display: inline-block;
	font-size: 0;
	white-space: nowrap;
}
.sel-group label,
.sel-group .select2 {
	font-size: 14px;
}

.sel-group label {
	vertical-align: middle;
	margin-right: 10px;
	height: 39px;
	line-height: 39px;
	min-width: 60px;
}

.sel-group .form-select {
	width: 250px;
}
.sel-group .select2-selection {
	border-radius: 0;
	border-color: #6658DD;
	border-left: 0;
	border-right: 0;
	box-shadow: none;
}

.sel-group .select2.select2-container .selection .select2-selection,
.sel-group .select2.select2-container .selection .select2-selection .select2-selection__rendered,
.sel-group .select2.select2-container .selection .select2-selection .select2-selection__arrow {
	height: 37px;
	line-height: 35px;
}

.sel-group .select2.select2-container .selection .select2-selection {
	padding-top: 0;
	padding-bottom: 0;
}

.sel-group button.btn:first-of-type {
	border-top-right-radius: 0;
	border-bottom-right-radius: 0;
}
.sel-group button.btn:last-of-type {
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;
}
.sel-group button.btn:focus {
	outline: 0;
	-webkit-box-shadow: none;
	box-shadow: none;
}



/* ==== schedule-grid ==== */
.schedule-grid tr > th:first-child {
	width: 50px;
}
.schedule-grid td {
	width: 100px;
}
.schedule-grid ul {
	list-style-type: none;
	margin: 0;
	padding: 0;
}

/* ==== DataTables ==== */
table.dataTable tbody tr {
	background-color: inherit;
}

.dataTables_wrapper {
	/*width: 500px;*/
	margin: 0 auto;
}

.dataTables_wrapper .dataTables_length, .dataTables_wrapper .dataTables_filter, .dataTables_wrapper .dataTables_info, .dataTables_wrapper .dataTables_processing, .dataTables_wrapper .dataTables_paginate {
	/*color: #333;*/
	color: inherit;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
	padding-left: 0;
	padding-right: 0;
}
.dataTables_wrapper .dataTables_paginate .paginate_button:hover,
.dataTables_wrapper .dataTables_paginate .paginate_button:focus,
.dataTables_wrapper .dataTables_paginate .paginate_button:focus-visible,
.dataTables_wrapper .dataTables_paginate .paginate_button:active {
	background: none;
	border-color: transparent;
	box-shadow: none;
}

.dataTables_wrapper .dataTables_paginate .paginate_button a:hover,
.dataTables_wrapper .dataTables_paginate .paginate_button a:focus,
.dataTables_wrapper .dataTables_paginate .paginate_button a:focus-visible,
.dataTables_wrapper .dataTables_paginate .paginate_button a:active {
	box-shadow: none;
}

.dataTables_wrapper .row:last-child {
	height: 52px;

	padding-top: 12px;
	padding-left: 3px;
	padding-right: 13px;
}

.dataTables_wrapper .row:last-child>div:first-child {
	position: absolute;
	bottom: 33px;
	left: 5px;
}
.dataTables_wrapper .row:last-child>div:last-child {
	position: absolute;
	bottom: 22px;
	right: 5px;
}

.dataTables_wrapper div.dataTables_length {
	display: none;
}

.dataTables_paginate {
	float: right;
}
.dataTables_paginate .pagination {
	margin-bottom: 0;
}

#congregationList .table-responsive,
#depotList .table-responsive,
#posterList .table-responsive,
#languageList .table-responsive,
#locationList .table-responsive,
#newList .table-responsive,
#questionList .table-responsive,
#shiftList .table-responsive,
#textList .table-responsive,
#trainingList .table-responsive,
#userList .table-responsive,
#publisherList .table-responsive {
	position:relative;
	overflow:auto;
	width:100%;
	height: calc(100vh - 230px);
}

#congregationList .table-responsive .dataTables_wrapper > div.row,
#depotList .table-responsive .dataTables_wrapper > div.row,
#posterList .table-responsive .dataTables_wrapper > div.row,
#languageList .table-responsive .dataTables_wrapper > div.row,
#locationList .table-responsive .dataTables_wrapper > div.row,
#newList .table-responsive .dataTables_wrapper > div.row,
#questionList .table-responsive .dataTables_wrapper > div.row,
#shiftList .table-responsive .dataTables_wrapper > div.row,
#textList .table-responsive .dataTables_wrapper > div.row,
#trainingList .table-responsive .dataTables_wrapper > div.row,
#userList .table-responsive .dataTables_wrapper > div.row,
#publisherList .table-responsive .dataTables_wrapper > div.row {
	margin-left: 0;
	margin-right: 0;
}


table.dataTable tr.even.selected {
	background-color: #E9E8F7;
}
table.dataTable.table-striped>tbody>tr.even.selected>td,
table.dataTable tr.even.selected td {
	--ct-table-accent-bg: #E9E8F7;
	box-shadow: inset 0 0 0 9999px rgb(233, 232, 247);
	color: rgb(108, 117, 125);
}
table.dataTable.table-striped>tbody>tr.even.selected:hover>td,
table.dataTable tr.even.selected:hover td {
	background-color: #D6D4F4;  /* #DDDCF7 */
	--ct-table-accent-bg: #D6D4F4;
	box-shadow: inset 0 0 0 9999px #D6D4F4;
	color: rgb(108, 117, 125);
}

table.dataTable tr.odd.selected {
	background-color: #E3E1F9;
}
table.dataTable.table-striped>tbody>tr.odd.selected>td,
table.dataTable tr.odd.selected td {
	--ct-table-accent-bg: #E3E1F9;
	box-shadow: inset 0 0 0 9999px rgb(227, 225, 249);
	color: rgb(108, 117, 125);
}

table.dataTable.table-striped>tbody>tr.odd.selected:hover>td,
table.dataTable tr.odd.selected:hover td {
	background-color: #D6D4F4;  /* #DDDCF7 */
	--ct-table-accent-bg: #D6D4F4;
	box-shadow: inset 0 0 0 9999px #D6D4F4;
	color: rgb(108, 117, 125);
}

#poster_list tbody>tr {
	min-height: 129px;
}

/* ==== contact_us_modal ==== */
#contact_us_modal #contact_us_modal_body {
	height: 250px;
}

/* ==== contact_publishers_modal ==== */
#contact_publishers_modal #contact_publishers_modal_body {
	height: 250px;
}

/* ==== addedit_texts_modal ==== */
#addedit_texts_modal div.quill-container {
	position: relative;
	height: calc(100% - 125px);
}
#addedit_texts_modal  div.quill-container > div {
	position: absolute;
	width: 100%;
	height: 100%;
}
#addedit_texts_modal  div.tags-container {
	min-height: 450px;
}

/* ==== addedit_news_modal ==== */
#addedit_news_modal div.quill-container {
	position: relative;
	height: calc(100% - 303px);
}
#addedit_news_modal  div.quill-container > div {
	position: absolute;
	width: 100%;
	height: 100%;
}
#addedit_news_modal  div.tags-container {
	min-height: 520px;
}

/* ==== addedit_questions_modal ==== */
#addedit_questions_modal div.quill-container {
	position: relative;
	height: calc(100% - 122px);
}
#addedit_questions_modal div.quill-container > div {
	position: absolute;
	width: 100%;
	height: 100%;
}
#addedit_questions_modal div.tags-container {
	min-height: 320px;
}

/* ==== addedit_locations_modal ==== */
#addedit_locations_modal div.quill-container {
	position: relative;
	height: 450px;
	margin-bottom: 90px !important;
}
#addedit_locations_modal  div.quill-container > div {
	position: absolute;
	width: 100%;
	height: 100%;
}

/* ==== addedit_depots_modal ==== */
#addedit_depots_modal div.quill-container {
	position: relative;
	height: 250px;
	margin-bottom: 90px !important;
}
#addedit_depots_modal  div.quill-container > div {
	position: absolute;
	width: 100%;
	height: 100%;
}

/* ==== Selectize ==== */
.selectize-input {
	box-shadow: var(--ct-components-shadow-sm);
}
.selectize-input:focus,
.selectize-input.focus {
	box-shadow: none !important;
	border-color: #B9BFC4;
}

.was-validated .selectize-input {
	border-color: #1abc9c;
	padding-right: calc(1.5em + 0.9rem);
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%231abc9c' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: right calc(0.375em + 0.225rem) center;
	background-size: calc(0.75em + 0.45rem) calc(0.75em + 0.45rem);
}
.was-validated .selectize-input.invalid{
	border-color: #f1556c;
	padding-right: calc(1.5em + 0.9rem);
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23f1556c'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23f1556c' stroke='none'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: right calc(0.375em + 0.225rem) center;
	background-size: calc(0.75em + 0.45rem) calc(0.75em + 0.45rem);
}

/* ==== Schedules ==== */
.schedule-grid table .poster-line .poster {
	cursor: pointer;
}
.schedule-grid table .poster-line .poster.poster-disabled {
	background-color: #C7DCE0;
	line-height: 36px;
	font-size: 36px;
	cursor: not-allowed;
	color: rgb(108, 117, 125);
}

.schedule-grid table .poster-line .poster.warning {
	background-color: #FDF1DB;
}
.schedule-grid table .poster-line:hover td.poster.warning {
	background-color: #FDF1DB!important;
}

.schedule-grid table .poster-line:hover {
	--ct-table-hover-bg: rgba(247, 248, 249, 0.3);
}
.schedule-grid table .shift-line:hover {
	--ct-table-hover-bg: rgba(247, 248, 249, 0.5);
}

.schedule-grid table .shift-line .shift {
	cursor: pointer;
}
.schedule-grid table .shift-line .shift.warning {
	background-color: #FDF1DB;
}
.schedule-grid table .shift-line .shift.shift-disabled {
	background-color: #ECEFF1;
	line-height: 36px;
	font-size: 36px;
	cursor: not-allowed;
}

.schedule-grid table .shift-line .shift {
	padding: 2px;
}
.schedule-grid table .shift-line .shift > ul {
	min-width: 166px;
}

li.pw-pub {
	/*padding: 3px;*/
	border-radius: 5px;
	margin: 3px;

	display: table;
	table-layout: fixed;
	width: calc(100% - 6px);
}
li.pw-pub.pub-sister{
	background-color: #FCF4F7;
}
li.pw-pub.pub-brother{
	background-color: #EBEEF4;
}
li.pw-pub.pub-replacement{
	background-color: #FCF6ED;
}
li.pw-pub.pub-timeoff {
	color: #F1556C;
}

li.pw-pub.text-success {
	color: #159B7E !important;
}

li.pw-pub .pub-name-language {
	display: table-cell;
	width: calc(100% - 30px);
	/*width: 100%;*/
	/*min-width: 130px;*/
	line-height: 26px;
	padding-left: 7px;
	padding-top: 3px;
	padding-bottom: 3px;
}
li.pw-pub .pub-name-language .pub-name,
li.pw-pub .pub-name-language .pub-language {
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	min-width: 100px;
}
li.pw-pub .pub-icon {
	display: table-cell;
	text-align: center;
	line-height: 26px;
	vertical-align: middle;
	width: 25px;
	height: 100%;
	padding-right: 3px;
	padding-top: 3px;
	padding-bottom: 3px;
}
li.pw-pub .pub-icon-container {
	display: block;
	float:right;
}


/* ==== Publisher Dashboard ==== */
#publisherDashboard .card.ribbon-box .ribbon {
	margin-left: 5px;
	line-height: 20px;
}

#publisherDashboard #sectionNews .card-body .card .card-header h5 {
	line-height: 24px;
}

#publisherDashboard #sectionNews .card-body .card .card-header a {
	vertical-align: middle;
	line-height: 32px;
}

#publisherDashboard #sectionNews .pw-news-article .card-body img {
	height: 100%; width: 100%;
	object-fit: scale-down;
}

#publisherDashboard #sectionQuestions .pw-questions-article .card-body img {
	height: 100%; width: 100%;
	object-fit: scale-down;
}

#publisherDashboard .pw-section > .card-body > .header-title {
	line-height: 20px;
}

#publisherDashboard .pw-section tr.pw-assignment:last-child > td,
#publisherDashboard .pw-section tr.pw-replacement:last-child > td,
#publisherDashboard .pw-section tr.pw-availability:last-child > td,
#publisherDashboard .pw-section tr.pw-availability:last-child > th,
#publisherDashboard .pw-section tr.pw-timeoff:last-child > td {
	border-bottom: 0;
}

#publisherDashboard .pw-section tr.pw-assignment,
#publisherDashboard .pw-section tr.pw-replacement {
	cursor: pointer;
}
#publisherDashboard .pw-section tr.pw-assignment.pw-no-result,
#publisherDashboard .pw-section tr.pw-replacement.pw-no-result {
	cursor: default;
}

#publisherDashboard .card .card-body .card-buttons {
	position: absolute;
	top: 9px;
	right: 24px;
}

#publisherDashboard #sectionAvailability .card-body table tr th {
	vertical-align: middle;
}

#publisherDashboard #sectionTimeoff .card-body table tr th,
#publisherDashboard #sectionTimeoff .card-body table tr td {
	vertical-align: middle;
	line-height: 24px;
}

#assignment_details_modal #assignment_details_modal_location .description img,
#assignment_details_modal #assignment_details_modal_depot .description img {
	height: 100%; width: 100%;
	object-fit: scale-down;
}

#assignment_details_modal #assignment_details_modal_posters tbody
#assignment_details_modal #assignment_details_modal_shifts tbody {
	border-top: none;
}
#assignment_details_modal #assignment_details_modal_shifts tbody:hover {
	background-color: #F7F8F9;
}
#assignment_details_modal #assignment_details_modal_shifts tbody.current-shift {
	background-color: #E3E1F9;
}

#assignment_details_modal #assignment_details_modal_shifts tbody.current-shift td.shift-time {
	font-weight: bold;
}
#assignment_details_modal #assignment_details_modal_shifts tbody.current-shift tr.current-publisher td {
	font-weight: bold;
}
#assignment_details_modal #assignment_details_modal_shifts tbody.current-shift tr.pw-replacement-details.current-publisher td {
	font-weight: bold;
	background-color: #F1556C;
	color: #FFFFFF;
}

#assignment_details_modal #assignment_details_modal_shifts tbody.current-shift tr.pw-replacement-details.current-publisher td a {
	color: #FFFFFF;
}

#assignment_details_modal #assignment_details_modal_shifts tbody tr.pw-assignment-details.pw-note td,
#assignment_details_modal #assignment_details_modal_shifts tbody tr.pw-replacement-details.pw-note td {
	color: #6658DD;
}
#assignment_details_modal #assignment_details_modal_shifts tbody.current-shift tr.pw-assignment-details.pw-note td,
#assignment_details_modal #assignment_details_modal_shifts tbody.current-shift tr.pw-replacement-details.pw-note td {
	color: #F1556C;
}

#assignment_details_modal tr.pw-assignment-details td,
#assignment_details_modal tr.pw-replacement-details td {
	border-bottom: 0;
	padding: 8px;
}
#assignment_details_modal tr.pw-assignment-details.last,
#assignment_details_modal tr.pw-replacement-details.last {
	border-bottom: 1px solid #DEE2E6;
}

#assignment_details_modal tr.pw-assignment-details:last-of-type,
#assignment_details_modal tr.pw-replacement-details:last-of-type,
#assignment_details_modal #assignment_details_modal_posters tr:last-of-type {
	border-bottom: 0;
}

#assignment_details_modal #assignment_details_modal_posters tr:last-of-type > td {
	border-bottom: 0;
}

#locationList .avatar-title,
#sectionAssignments .avatar-title,
#sectionReplacements .avatar-title {
	width: 36px;
	height: 36px;
}

#newList .avatar-title {
	height: 36px;
	padding-left: 5px;
	padding-right: 5px;
}

.table.pw-assignment-table {
	/*--ct-table-border-color: #386193;*/
	/*--ct-table-group-separator-color: #386193;*/
}
table.pw-assignment-table > thead > tr > th {
	border-bottom: 2px solid #4171AE;
}
.pw-assignment-head {
	border-bottom-color: #386193;
}
.pw-assignment-head > tr > th {
	background-color: #4171AE;
	color: #FFFFFF;
	border-bottom-color: #386193;
}

.table.pw-replacement-table {
	/*--ct-table-border-color: #E57710;*/
	/*--ct-table-group-separator-color: #E57710;*/
}
table.pw-replacement-table > thead > tr > th {
	border-bottom: 2px solid #FF7F00;
}
.pw-replacement-head {
	border-bottom-color: #E57710;
}
.pw-replacement-head > tr > th {
	background-color: #FF7F00;
	color: #FFFFFF;
}

.pw-emergency-contacts > ul {
	list-style-type: none;
	margin: 0;
	padding: 0;
}
.pw-emergency-contacts > ul > li.location > ul {
	list-style-type: none;
	margin: 0;
	padding: 0;
	padding-left: 23px;
}
.pw-emergency-contacts > ul > li.location .location-name {
	font-weight: bold;
	font-size: large;
}
.pw-emergency-contacts > ul > li.location .location-name > i {
	padding-right: 3px;
}
.pw-emergency-contacts > ul > li.location > ul > li.contact {
	margin-bottom: 5px;
	font-size: 15px;
}
.pw-emergency-contacts > ul > li.location > ul > li.contact i {
	padding-right: 3px;
}
.pw-emergency-contacts > ul > li.location > ul > li.contact .contact-name i {
	padding-right: 5px;
}
.pw-emergency-contacts > ul > li.location > ul > li.contact .contact-name {
	font-weight: bold;
}
.pw-emergency-contacts > ul > li.location > ul > li.contact .contact-name > a {
	color: #343A40;
}
.pw-emergency-contacts > ul > li.location > ul > li.contact .contact-email,
.pw-emergency-contacts > ul > li.location > ul > li.contact .contact-mobile {
	padding-left: 23px;
	margin-bottom: 5px;
}


/* ==== Publisher Footer ==== */
#dashboardFooter .navbar .nav-item .nav-link {
	color: rgba(255,255,255,.6);
}
#dashboardFooter .navbar .nav-item .nav-link.active {
	color: #00ACC1;
}

#dashboardFooter nav.navbar {
	width: 100%;
	/*position: relative;*/
}

#dashboardFooter nav.navbar ul {
	/*max-width: 400px;*/
	display: table;
	padding: 0;
	margin: 0;
	width: 100%;
}

#dashboardFooter nav.navbar ul li {
	position: relative;
	text-align: center;
	display: table-cell;
	width: 33%;
}

#dashboardFooter nav.navbar .nav-item .nav-link-badge-container {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

#dashboardFooter nav.navbar .nav-item .nav-link-badge-container .btn-container {
	position: relative;
	display: inline-block;
}

#dashboardFooter nav.navbar .nav-badge {
	position: absolute;
	top: 20px;
	left: 65%;
}

/* ==== Fonts ==== */
.font-30 {
	font-size: 30px !important;
}


.pw-widget.widget-rounded-circle .mdi:before{
	font-weight: lighter !important;
}

.pw-no-result {
	text-align: left !important;
}

.pw-list-btn {
	display: inline-block;
	position: relative;
	bottom: -1px;
}
.pw-list-btn .btn i {
	position: absolute; left: 8px; top: 3px;
}
.pw-list-btn .btn div {
	margin-left: 20px;
}
.pw-list-btn .btn div {
	margin-left: 20px;
}
.pw-list-btn .btn.loc-col-none div {
	margin-left: 0;
	width: 6px;
	height: 21px;
	color: rgba(0, 0, 0, 0);
}

.last-modified-by {
	margin-left: 5px;
	margin-top: 2px;
}
.last-modified-by i {
	padding-right: 4px;
}

.text-right {
	text-align: right!important;
}
.text-left {
	text-align: left!important;
}

div.pw-alert {
	position: absolute;
	top: 75px;
	left:0;
	right:0;
	margin-left: auto;
	margin-right: auto;
	width: 50%;
	z-index: 1000;
}

div.pw-alert .pw-alert-maintenance {
	background-color: #E3E1F9;
	font-size: 16px;
}
div.pw-alert .pw-alert-container {
	display: table;
}
div.pw-alert .pw-alert-container .pw-alert-icon {
	display: table-cell;
	text-align: center;
	line-height: 26px;
	vertical-align: middle;
	width: 25px;
	height: 100%;
	padding-right: 17px;
	padding-top: 3px;
	padding-bottom: 3px;
	font-size: 32px;
}
div.pw-alert .pw-alert-containerpw-alert-msg {
	display: table-cell;
}

.jq-toast-question {
	border-style: solid;
	border-width: 1px;
	border-color: #DADDDF;
}
.jq-toast-question .jq-toast-heading {
	margin-bottom: 12px;
}
.jq-toast-parent-btn-disabled {
	pointer-events: none;
}

.jq-toast-parent-modal-content {
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	background-color: rgba(153,157,163,0.75);
	z-index: 100;
}

/* ==== Small Screen ==== */
@media (max-width: 991.98px) {
	body.display-publisher {
		padding-bottom: 58px;
	}

	#publisherDashboard .pw-section.db-assignments,
	#publisherDashboard .pw-section.db-availability,
	#publisherDashboard .pw-section.db-news {
		display: none;
	}
	#publisherDashboard[data-active-section="assignments"] .pw-section.db-assignments,
	#publisherDashboard[data-active-section="availability"] .pw-section.db-availability,
	#publisherDashboard[data-active-section="news"] .pw-section.db-news {
		display: flex;
	}

	#availabilities_modal #availabilities_modal_shifts thead > tr > th,
	#availabilities_modal #availabilities_modal_shifts tbody > tr > td {
		padding: 10px;
	}

	div.pw-alert {
		width: calc(100% - 10px);
	}
}

@media (max-width: 640px) {
	.page-title-box .page-title-right {
		display: block;
	}
}

@media (max-width: 619.98px) {
	body.display-publisher .avatar-title {
		width: 24px !important;
		height: 24px !important;
		font-size: 12px;
	}

	body.display-publisher .section-page-content-body .card-body table td {
		padding: 6px;
	}

	body.display-publisher #sectionAssignments table td .btn.btn-xs,
	body.display-publisher #sectionReplacements table td .btn.btn-xs {
		margin-bottom: 6px;
	}

	body.display-publisher .section-page-content-body .card-body {
		padding-left: 8px;
		padding-right: 8px;
	}

	#publisherDashboard .card .card-body .card-buttons {
		position: absolute;
		top: 9px;
		right: 8px;
	}

	.sel-group {
		position: relative;
		width: 100%;
	}
	.sel-group .select2.select2-container {
		width: calc(100% - 160px) !important;
	}

	.navbar-brand .top-label {
		font-size: 12px;
		line-height: 14px;

		position: absolute;
		left: 104px;
		padding-top: 20px;
		padding-bottom: 20px;
	}
	.navbar-brand .top-logo {
		position: absolute;
		left: 48px;
	}
	.topnav-menu.topnav-menu-left {
		position: absolute;
		left: 0;
	}

	.display-publisher .navbar-brand .top-label {
		left: 54px;
	}
	.display-publisher .navbar-brand .top-logo {
		left: 0;
	}
}

@media (max-width: 299.98px) {
	.navbar-brand .top-label {
		left: 50px;
	}
	.navbar-brand .top-logo {
		display: none !important;
	}

	.display-publisher .navbar-brand .top-label {
		left: 4px;
	}
}
